apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    external-dns.alpha.kubernetes.io/target: sun-z8s-vip-1.zooxlabs.com
    nginx.ingress.kubernetes.io/auth-signin: https://$host/oauth2/start?rd=$escaped_request_uri
    nginx.ingress.kubernetes.io/auth-url: https://$host/oauth2/auth
  name: private-bin
spec:
  rules:
  - host: pbin.z8s.zooxlabs.com
    http:
      paths:
      - backend:
          serviceName: private-bin
          servicePort: 80
  - host: pbin.zooxlabs.com
    http:
      paths:
      - backend:
          serviceName: private-bin
          servicePort: 80
  tls:
  - hosts:
    - pbin.zooxlabs.com
  - hosts:
    - pbin.z8s.zooxlabs.com
    secretName: z8s-cert
